Subject: Re: bug#52782: Man Page: Incorrect Summary of --color Option

From: Pranab Lawrence Ekka Dasgupta <[email-masked]>
Date: Sat, 25 Dec 2021 00:10:23 +0530

Ah, my mistake. It does make sense that the contents of the parentheses
apply to the specification of WHEN.

Perhaps it could be reworded to "default if WHEN is omitted", although
that does cause some repetition. Alternatively, the entire description
could be modified, as on die.net[1]: "color the output. WHEN defaults to
'always' (if omitted) or can be 'never' or 'auto'. More info below." The
issue here is that it might suggest that the user may not explicitly
specify 'always'.

Regarding the usage of 'colorize', I think the correction future proofs
the documentation, given that I've never heard or seen it used.

[1]https://linux.die.net/man/1/ls